# rgoogleads 0.4.0

* Дата релиза: 2021-11-16

## Прочее
* Пакет переведён на работу с Google Ads API v9.
* В пакет добавлена поддержка переменной среды GADS_EMAIL, которая устанавливает дефолтный email для работы с Google Ads API при подключении пакета.
* В основную функцию запроса данных `gads_get_report_helper()` добавлена проверка, можно ли запрашивать с указанным ресурсом поля даты, если нет, то функция аннулирует значения аргументов `date_from`, `date_to`  и `during`.
* В зависимости `rgoogleads` добавлены следующие пакеты: `memoise`, `cachem`, `rappdirs`. Эти пакеты обеспечивают кеширование данных, получаемых функцией `gads_get_fields()`, которая используется внутри `gads_get_report_helper()` для проверки совместимости запрашиваемого ресурса с полями даты.

# rgoogleads 0.3.0

* Дата релиза: 2021-09-02

## Документация:
* Добавлена виньетка "Миграция с RAdwords на rgoogleads" по переходу с пакета `RAdwords` на `rgoogleads`.
* Добавлена англоязычная виньетка "Migrate from RAdwords to rgoogleads" по переходу с пакета `RAdwords` на `rgoogleads`.

## Исправление ошибок
* Исправил работу аргумента during в функции `gads_report_helper()`.

## Прочее
* Актуализировал раздел статей сайта.
* Добавил список ссылок на статиь о пакета на главную страницу сайта.
* В функции `gads_report_helper()` добавлена конвертация метрик в числовой тип данных.

# rgoogleads 0.2.0

* Дата релиза: 2021-08-02

## Новые функции:
* Добавлена функция `gads_get_fields()`, которая позволяет получить подробную информацию по любому ресурсу, полю ресурса, сегмету или метрике.
* Добавлена функция `gads_get_geo_targets()`, которая загружает наиболее актуальный справочник гео таргетинга из https://developers.google.com/google-ads/api/reference/data/geotargets?hl=en.
* Добавлена функция `gads_get_metadata()`, которая позволяет получить список всех объектов вместе с их метаданными, т.е. ресурсов, сегментов, метрик и атриутов.
* Добавлена функция `gads_keyword_plan_historical_metrics()`, с помощью которой вы можете запрашивать данные по сохраннным планам ключевых слов.
* Добавлена функция `gads_keyword_plan_forecast_timeseries()`, которая позволяет запросить прогноз в виде временного ряда для плана ключевых слов на следующие 52 недели.
* Добавлена функция `gads_keyword_plan_forecast_metrics()`, которая возвращает запрошенные прогнозы плана ключевых слов.
* Добавлена функция `gads_open_auth_cache_folder()`, с помощью которой можно открыть папаку, в которой хранятся учётные данные.
    
## Документация:
* Доработана основная страница документации пакета
* Расширена документация функции `gads_get_report()`
* Расширена документация функции `gads_auth()`
* В документацию к функциям загрузки объектов добавлены примеры кода: `gads_get_ad_group_criterions()`, `gads_get_ad_groups()`, `gads_get_ads()`, `gads_get_campaigns()`.

## Прочие доработки:
* OAuth клиент вшитый в пакет прошел верификацию Google, теперь любой пользователь пакета может использовать вшитый в `rgoogleads` OAuth клиент для авторизации.
* Вшитый в пакет токен разработчика получил стандартный уровень доступа к API.
* Добавлена опция `gads.column.name.case.fun`, с помощью которой можно передать любую функцию для приведения названий столбцов в полученном от API результате в указанный регистр, по умолчанию передаётся функция `to_snake_case()` из пакета `snakecase`.
* Доработана функция проверки ответа от API на ошибки.
* В функцию `gads_auth_configure()` добавлен аргумент developer_token.
* В DESCRIPTION изменил версии некоторых пакетов.
* Все функций пакета, отправляющие POST и GET запросы к API переведены с глаголов из `httr` на глаголы `gargle`: `request_build()`, `request_retry()`, `response_process()`. В качестве эксперемента пока, что переведена вспомогательная функция `gads_customer_id()`.
* Новый логотип пакета.
* В функцию `gads_get_report()` добавлен аргумент during, который позволяет задавать относительный период отчёта, например 'LAST_BUSINESS_WEEK'.
* Исправил ошибку в функции `gads_get_report()`, когда поле в названии которого содержится date нельзя перевести в дату.
* Создал сайт пакета с помощью `pkgdown`, сайт доступен по [ссылке](https://selesnow.github.io/rgoogleads/docs/).

---
# rgoogleads 0.1.1

* Дата релиза: 2021-07-02

* Доработал README
* Исправил поле авторства в DESCRIPTION, правильно вписав Netpeak
* Пакет опубликован на CRAN

---
# rgoogleads 0.1.0

* Первый релиз.
* Добавлен `NEWS.md` для отслеживания изменений внесённых в пакет.
